Bug 180301

Summary: New port: devel/p5-Variable-Eject
Product: Ports & Packages Reporter: Anes Mukhametov <anes>
Component: Individual Port(s)Assignee: Mathieu Arnold <mat>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
p5-Variable-Eject.shar none

Description Anes Mukhametov 2013-07-05 13:40:00 UTC
	New port: devel/p5-Variable-Eject	
	Eject variables from hash to current namespace
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 13:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:56:11 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:48 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Edwin Groothuis freebsd_committer 2013-11-14 20:57:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 5 Mathieu Arnold freebsd_committer 2013-11-15 15:03:59 UTC
Responsible Changed
From-To: perl->mat

Take
Comment 6 dfilter service freebsd_committer 2013-11-15 16:37:59 UTC
Author: mat
Date: Fri Nov 15 16:37:49 2013
New Revision: 333886
URL: http://svnweb.freebsd.org/changeset/ports/333886

Log:
  Add p5-Variable-Eject 0.02, eject variables from hash to current
  namespace.
  
  PR:		ports/180301
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/devel/p5-Variable-Eject/
  head/devel/p5-Variable-Eject/Makefile   (contents, props changed)
  head/devel/p5-Variable-Eject/distinfo   (contents, props changed)
  head/devel/p5-Variable-Eject/pkg-descr   (contents, props changed)
  head/devel/p5-Variable-Eject/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Fri Nov 15 16:28:54 2013	(r333885)
+++ head/devel/Makefile	Fri Nov 15 16:37:49 2013	(r333886)
@@ -2995,6 +2995,7 @@
     SUBDIR += p5-VCS-CVS
     SUBDIR += p5-VCS-Lite
     SUBDIR += p5-Validation-Class
+    SUBDIR += p5-Variable-Eject
     SUBDIR += p5-Variable-Magic
     SUBDIR += p5-Want
     SUBDIR += p5-WeakRef

Added: head/devel/p5-Variable-Eject/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Variable-Eject/Makefile	Fri Nov 15 16:37:49 2013	(r333886)
@@ -0,0 +1,26 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Variable-Eject
+PORTVERSION=	0.02
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Eject variables from hash to current namespace
+
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+BUILD_DEPENDS=	p5-Lexical-Alias>=0.04:${PORTSDIR}/devel/p5-Lexical-Alias \
+		p5-Devel-Declare>=0.005011:${PORTSDIR}/devel/p5-Devel-Declare \
+		p5-uni-perl>=0.03:${PORTSDIR}/devel/p5-uni-perl
+RUN_DEPENDS=	p5-Lexical-Alias>=0.04:${PORTSDIR}/devel/p5-Lexical-Alias \
+		p5-Devel-Declare>=0.005011:${PORTSDIR}/devel/p5-Devel-Declare \
+		p5-uni-perl>=0.03:${PORTSDIR}/devel/p5-uni-perl
+
+USES=	perl5
+USE_PERL5=	configure
+
+.include <bsd.port.mk>

Added: head/devel/p5-Variable-Eject/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Variable-Eject/distinfo	Fri Nov 15 16:37:49 2013	(r333886)
@@ -0,0 +1,2 @@
+SHA256 (Variable-Eject-0.02.tar.gz) = 56193023c353736267c27221d39ae6173a16eaed94161186f021bff78840ad9a
+SIZE (Variable-Eject-0.02.tar.gz) = 25088

Added: head/devel/p5-Variable-Eject/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Variable-Eject/pkg-descr	Fri Nov 15 16:37:49 2013	(r333886)
@@ -0,0 +1,3 @@
+Variable::Eject - Eject variables from hash to current namespace
+
+WWW: http://search.cpan.org/dist/Variable-Eject/

Added: head/devel/p5-Variable-Eject/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Variable-Eject/pkg-plist	Fri Nov 15 16:37:49 2013	(r333886)
@@ -0,0 +1,6 @@
+%%PERL5_MAN3%%/Variable::Eject.3.gz
+%%SITE_PERL%%/Variable/Eject.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Variable/Eject/.packlist
+@dirrmtry %%SITE_PERL%%/Variable
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Variable/Eject
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Variable
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Mathieu Arnold freebsd_committer 2013-11-15 16:38:10 UTC
State Changed
From-To: open->closed

Committed, thanks!